> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# Get data about the NGC external user group of the training event

GET https://api.dsx-air.nvidia.com/api/v3/trainings/{id}/external-user-group/

Get data about NGC external user group associated with the training. This will make an external API call to NGC to obtain this data.

**Required roles (all):** `air_instructor`, `air_org_admin`, `user_admin`

**Additional permissions:**

- Only the instructor who created this training may perform this action.
- The client must have the NCA 'Administrator' role set in the NCA account associated with the NGC Organization.

Reference: https://docs.nvidia.com/dsx-air/api-reference/training/api-v-3-trainings-external-user-group-retrieve

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — A UUID string identifying this training.

## Response

### 200

- `userGroupId` (string, required) — Unique identifier for the NGC external user group.
- `resourceGroup` (string, required) — Resource group name.
- `name` (string, required) — Name of the external user group.
- `description` (string, required) — Description of the user group.
- `idpListLocked` (boolean, required) — Whether the identity provider list is locked.
- `requireMatchingEmail` (boolean, required) — Whether matching email is required.
- `isUserGroupAdmin` (boolean, required) — Whether the requester is a user group admin.
- `serviceRoles` (list of string, required) — List of service roles for the group.
- `confirmedUsers` (list of object, required) — List of confirmed users in the group.
  - `email` (string, required) — Email address of the user.
  - `idpName` (string, required) — Identity provider name.
  - `isAdmin` (boolean, required) — Whether the user is an admin.
  - `userSince` (string, required) — Date when the user joined.
  - `userId` (string, required) — Unique identifier for the user.
  - `idpType` (string, required) — Type of identity provider.
  - `lastLoginDate` (string, optional) — Date of the user's last login.
- `pendingInvitations` (list of object, required) — List of pending invitations.
  - `email` (string, required) — Email address of the invitee.
  - `userRole` (string, required) — Role assigned to the invitee.
  - `dateInvited` (string, required) — Date when invitation was sent.
  - `expiresAt` (string, required) — Date when invitation expires.
- `type` (string, required) — Type of the user group.
- `orgName` (string, optional) — NGC organization name.
- `companyName` (string, optional) — Company name.
- `groupContactEmail` (string, optional) — Contact email for the group.
- `permissionSetDesc` (string, optional) — Description of the permission set.
- `startDate` (string, optional) — Start date of the user group.
- `endDate` (string, optional) — End date of the user group.

## Errors

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 404 Not Found Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `detail` (string, optional, default: No object matches the given query.) — Description of an error.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "userGroupId": "string",
  "resourceGroup": "string",
  "name": "string",
  "description": "string",
  "idpListLocked": true,
  "requireMatchingEmail": true,
  "isUserGroupAdmin": true,
  "serviceRoles": [
    "string"
  ],
  "confirmedUsers": [
    {
      "email": "string",
      "idpName": "string",
      "isAdmin": true,
      "userSince": "string",
      "userId": "string",
      "idpType": "string",
      "lastLoginDate": "string"
    }
  ],
  "pendingInvitations": [
    {
      "email": "string",
      "userRole": "string",
      "dateInvited": "string",
      "expiresAt": "string"
    }
  ],
  "type": "string",
  "orgName": "string",
  "companyName": "string",
  "groupContactEmail": "string",
  "permissionSetDesc": "string",
  "startDate": "string",
  "endDate": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/trainings/id/external-user-group/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/trainings/id/external-user-group/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/trainings/id/external-user-group/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/trainings/id/external-user-group/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/trainings/id/external-user-group/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/trainings/id/external-user-group/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/trainings/id/external-user-group/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/trainings/id/external-user-group/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```